/**
 * PersonNamePartMiscQualifier.java
 *
 * File generated from the medication::PersonNamePartMiscQualifier uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration PersonNamePartMiscQualifier.
 *
 * 
 */

@XmlType(name = "PersonNamePartMiscQualifier")
@XmlEnum
@XmlRootElement(name = "PersonNamePartMiscQualifier")
public enum PersonNamePartMiscQualifier {
	@XmlEnumValue("CL")
	CL("CL");
	
	private final String value;

    PersonNamePartMiscQualifier(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static PersonNamePartMiscQualifier fromValue(String v) {
        for (PersonNamePartMiscQualifier c: PersonNamePartMiscQualifier.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}